package nl.kallestruik.dtweaks.fakeplayer

import net.minecraft.server.v1_16_R3.*
import nl.kallestruik.dtweaks.DTweaks
import java.lang.reflect.Field

class FakePlayerConnection(
    minecraftServer: MinecraftServer,
    networkManager: NetworkManager,
    entityPlayer: EntityPlayer
): PlayerConnection(minecraftServer, networkManager, entityPlayer) {
    override fun sendPacket(packet: Packet<*>?) {
        if (packet is PacketPlayOutKeepAlive) {
            val pong = PacketPlayInKeepAlive()
            try {
                val pingId: Field = DTweaks.reflectionUtil.getField(PacketPlayOutKeepAlive::class.java, "a")
                val pongId: Field = DTweaks.reflectionUtil.getField(PacketPlayInKeepAlive::class.java, "a")
                pingId.isAccessible = true
                pongId.isAccessible = true
                pongId[pong] = pingId[packet]
            } catch (e: Exception) {
                e.printStackTrace()
            }
            this.a(pong)
        }
    }

    override fun disconnect(message: String?) {
        player.killEntity()
    }

    override fun a(disconnectReason: IChatBaseComponent?) {
        super.a(disconnectReason)
        (this.a() as FakeConnection).open = false
    }
}