package nl.kallestruik.dtweaks.spacetimepockets

import org.bukkit.World
import org.bukkit.block.Biome
import org.bukkit.craftbukkit.v1_16_R3.generator.CraftChunkData
import org.bukkit.generator.ChunkGenerator
import java.util.*

class SpaceTimePocketChunkGenerator: ChunkGenerator() {

    override fun generateChunkData(
        world: World,
        random: Random,
        x: Int,
        z: Int,
        biome: BiomeGrid
    ): ChunkData {
        for (cx in 0..15) {
            for (cz in 0..15) {
                for (cy in 0..264) {
                    biome.setBiome(cx, cy, cz, Biome.THE_VOID)
                }
            }
        }
        return CraftChunkData(world)
    }
}