package nl.kallestruik.dtweaks.tweaks.miscellaneoustweaks

import nl.kallestruik.dtweaks.managers.FakePlayerManager
import nl.kallestruik.dtweaks.tweaks.ITweak

class FakePlayers(
    private val fakePlayerManager: FakePlayerManager
): ITweak {
    override fun getIdentifier(): String = "FakePlayers"
    override fun getCategories(): List<String> = listOf("players")

    override fun onDisable() {
        fakePlayerManager.killAllFakePlayers()
    }
}