package nl.kallestruik.dtweaks.fakeplayer

import io.netty.util.concurrent.Future
import io.netty.util.concurrent.GenericFutureListener
import net.minecraft.server.v1_16_R3.EnumProtocolDirection
import net.minecraft.server.v1_16_R3.NetworkManager
import net.minecraft.server.v1_16_R3.Packet

class FakeConnection(
    enumProtocolDirection: EnumProtocolDirection
): NetworkManager(enumProtocolDirection) {
    var open = true

    // isOpen()
    override fun isConnected(): Boolean {
        return open
    }

    // hasChannel()
    override fun i(): Boolean {
        return false
    }

    override fun sendPacket(packet: Packet<*>?, genericfuturelistener: GenericFutureListener<out Future<in Void?>?>?) {}

    // disableAutoRead()
    override fun stopReading() {}

    override fun handleDisconnection() {}
}